Create an API

Deprecated
View as Markdown
Creates an API.

Authentication

x-api-keystring
API Key authentication via header

Headers

AcceptenumRequired

The application/vnd.api.v10+json request header required to use the endpoint.

Allowed values:

Query parameters

workspaceIdstringRequired
The workspace's ID.

Request

This endpoint expects an object.
namestringRequired
The API's name.
summarystringOptional
The API's short summary.
descriptionstringOptional
The API's description. This supports Markdown formatting.

Response

Successful Response
idstringOptional
The API's ID.
namestringOptional
The API's name.
summarystringOptional
The API's short summary.
createdAtdatetimeOptional
The date and time at which the API was created.
createdByintegerOptional
The Postman ID of the user that created the API.
updatedAtdatetimeOptional
The date and time at which the API was updated.
updatedByintegerOptional
The Postman ID of the user that updated the API.
descriptionstringOptional
The API's description.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error